import 'package:flutter/material.dart';
import 'package:get/get.dart';
import 'package:ourads/ourads.dart';

import 'app/routes/app_pages.dart';

void main() async {
  WidgetsFlutterBinding.ensureInitialized();
  await OurAds(
    iOSAdId: IOSAdId(
        appOpenId: "Place here your iOS AppOpen Ad Id",
        bannerId: "Place here your iOS  Banner Ad Id",
        interstitialId: "Place here your iOS Interstitial Ad Id",
        nativeId: "Place here your iOS Native Ad Id"),
    androidAdId: AndroidAdId(
        appOpenId: "Place here your Android AppOpen Ad Id",
        bannerId: "Place here your Android Banner Ad Id",
        interstitialId: "Place here your Android Interstitial Ad Id",
        nativeId: "Place here your Android Native Ad Id"),
  ).initAds(
    hasOpenAd: true,
    //if you make it false Open ads will not work
  );
  //if you want to hide Open ads from premium users you can make logic on below command.
  OurAds.resumeOpenAppAds();
  runApp(MyApp());
}

class MyApp extends StatelessWidget {
  const MyApp({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return GetMaterialApp(
      title: "Application",
      initialRoute: AppPages.INITIAL,
      getPages: AppPages.routes,
    );
  }
}
