part of ourads;

class OurNativeAd extends StatefulWidget {
  final double width;
  final double height;
  final String factoryId;

  OurNativeAd({
    required this.width,
    required this.height,
    required this.factoryId,
  });

  @override
  _OurNativeAdState createState() => _OurNativeAdState();
}

class _OurNativeAdState extends State<OurNativeAd> {
  AdIdInterface get adInterface => Get.find<AdIdInterface>();

  bool isLoaded = false;
  late NativeAd _ad;

  NativeAd _nativeAd() => NativeAd(
        adUnitId: adInterface.nativeId,
        factoryId: widget.factoryId,
        listener: NativeAdListener(onAdFailedToLoad: (ad, _) {
          ad.dispose();
        }, onAdLoaded: (ad) {
          setState(() {
            isLoaded = true;
          });
        }),
        request: AdRequest(),
      );

  @override
  void initState() {
    super.initState();
    _ad = _nativeAd();
    _ad.load();
  }

  @override
  Widget build(BuildContext context) {
    return Container(
      width: widget.width,
      height: widget.height,
      child: isLoaded ? AdWidget(ad: _ad) : SizedBox(),
    );
  }

  @override
  void dispose() {
    _ad.dispose();
    super.dispose();
  }
}
